# MermaidMD2PDF Examples

This directory contains example Markdown documents that demonstrate various features of MermaidMD2PDF.

## Example Documents

### 1. Basic Flowchart
[basic-flowchart.md](basic-flowchart.md)
- Simple flowchart showing a basic decision process
- Demonstrates basic Mermaid syntax
- Shows how to use different node shapes and arrow styles

### 2. System Architecture
[system-architecture.md](system-architecture.md)
- Complex system architecture diagram
- Shows how to handle multiple diagrams in one document
- Demonstrates advanced Mermaid features like subgraphs

### 3. Sequence Diagram
[sequence-diagram.md](sequence-diagram.md)
- API interaction sequence diagram
- Shows how to use sequence diagram syntax
- Demonstrates participant and message styling

### 4. Class Diagram
[class-diagram.md](class-diagram.md)
- Object-oriented design class diagram
- Shows class relationships and inheritance
- Demonstrates class diagram syntax and styling

### 5. State Diagram
[state-diagram.md](state-diagram.md)
- State machine diagram
- Shows state transitions and conditions
- Demonstrates state diagram syntax

## Running the Examples

To try these examples:

1. Navigate to the examples directory:
```bash
cd docs/examples
```

2. Convert any example to PDF:
```bash
mermaidmd2pdf basic-flowchart.md basic-flowchart.pdf
```

## Example Outputs

Each example includes:
- The source Markdown file
- A screenshot of the generated PDF
- Notes on any special features demonstrated
